#
# spec file for package getmail
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           getmail
Version:        4.46.0
Release:        1.1
#
Group:          Productivity/Networking/Email/Utilities
License:        Other License(s), see package
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if ! 0%{?suse_version}
%define py_libdir %{_libdir}/python2.4/
%endif
#
Url:            http://pyropus.ca/software/getmail/
Source:         http://pyropus.ca/software/getmail/old-versions/getmail-%{version}.tar.bz2
Summary:        getmail is designed to replace other mail retrievers such as fetchmail.
#

%description
getmail is a multi-protocol mail retrieval system withsupport for simple and
domain POP3 and IMAP4 mailboxes, domain SDPS mailboxes, POP3-over-SSL and
IMAP-over-SSL, mail sorting, message filtering, and delivery to Maildirs,
Mboxrd files, external MDAs, and other advanced features.

getmail is designed to be secure, flexible, reliable, and easy-to-use. getmail
is designed to replace other mail retrievers such as fetchmail.

Author:
--------
    Charles Cazabon <getmail@discworld.dyndns.org>

%prep
%setup

%build
CFLAGS="%{optflags}" \
%{__python} setup.py build

%install
%{__python} setup.py install --prefix %{_prefix} --root %{buildroot}
%{__install} -Dd -m 0755 %{buildroot}%{_docdir}
%{__mv} %{buildroot}%{_datadir}/doc/%{name}-%{version} %{buildroot}%{_docdir}/%{name}

%clean
%{__rm} -rf %{buildroot};

%files
%defattr(-, root, root, 0755)
%doc %{_docdir}/%{name}
%{_bindir}/%{name}*
%{_mandir}/man?/%{name}* 
%dir %{py_libdir}/site-packages/%{name}core
%{py_libdir}/site-packages/%{name}core/*.py
%{py_libdir}/site-packages/%{name}core/*.pyc
%if 0%{?suse_version} > 1010
%{py_libdir}/site-packages/%{name}-%{version}-py%{py_ver}.egg-info
%endif

%changelog
* Tue Oct 28 2014 cs@linux-administrator.com
- Update to release 4.46.0
  * Version 4.46.0
  - fix --idle checking Python version incorrectly, resulting in incorrect
    warning about running with Python < 2.5.  Thanks: "Voytek", Krzysztof
    Warzecha.
  - add missing support for SSL certificate checking in POP3 which broke
    POP retrieval in v4.45.0.  Requires Python 2.6 or newer.  Thanks: "mancha".
  * Version 4.45.0
  - perform hostname-vs-certificate matching of SSL certificate if validating
    the certifcate.  Thanks: "mancha".
  - fix missing plaintext versions of documentation.
  * Version 4.44.0
  - add extended SSL options for IMAP retrievers, allowing certificate
    verification and other features.  Thanks: Steven Murdoch.
  - fix missing plaintext versions of documentation.  Thanks: Osamu Aoki.
  - fix "Header instance has no attribute 'strip'" error which cropped up
    in some configurations.  Thanks: Krzysztof Warzecha.
* Mon Aug 26 2013 cs@linux-administrator.com
- Update to release 4.43.0
  * Version 4.43.0
  - add IMAP IDLE support.  Thanks: Jon Gjengset.
* Sun Aug  4 2013 cs@linux-administrator.com
- Update to release 4.42.0
  * Version 4.42.0
  - fix problem with non-ascii characters in newly-added message header fields
    with output from Filter_classifier.  Thanks: "Gour".
* Sun May 26 2013 cs@linux-administrator.com
- Update to release 4.41.0
  * Version 4.41.0
  - messages retrieved with POP could have a blank trailing line removed when
    delivered; fixed.  Thanks: Christoph Mitterer, Krzysztof Warzecha.
  - fix an ImportError when IMAP retriever used with getmail under Python 2.4.
* Mon May 20 2013 cs@linux-administrator.com
- Update to release 4.40.3
  * Version 4.40.3
  - increase system recursion limit when run with Python 2.3, to prevent
    recursion errors in parsing some pathologically complex MIME emails.
    Thanks: Kenneth Pronovici.
  * Version 4.40.2
  - fix a backwards incompatibility with Python 2.3 and 2.4 introduced in
    getmail 4.38.0.  Thanks: Massimo Zambelli, Krzysztof Warzecha.
  * Version 4.40.1
  - again change protocol codes passed to OSX, as they're not only reserved
    codes, but also case-sensitive.  Use the ones an OSX user reports work
    properly.  Thanks: Tim Gray.
  * Version 4.40.0
  - convert SIGTERM to SIGINT so getmail can cleanup and exit normally if
    killed with a default signal.  Thanks: Carl Lei.
  - fix change which resulted in passing full protocol name to OSX keyring
    program, which can't handle it (restricted to 4-character code).
    Thanks: Tim Gray.
* Thu Mar 21 2013 cs@linux-administrator.com
- Update to release 4.39.1
  * Version 4.39.1
  - fix a bug that could crop up when retrieving mail via IMAP from Gmail, and
    the Gmail servers provided weird data in their header extensions.
    Thanks: Krzysztof Warzecha.
  * Version 4.39.0
  - fix an oldmail filename issue that occurred with certain non-ASCII
    characters in an IMAP mailbox name.  Thanks: Michael Kockmeyer.
  * Version 4.38.0
  - fix retrieving mail from an IMAP mailbox with non-ASCII characters in its
    name causing difficult-to-understand unicode errors during delivery.
    Thanks: "fsLeg", Krzysztof Warzecha.
  * Version 4.37.0
  - handle IMAP servers which include "/" in message IDs better, so those
    messages aren't always thought to be new.  Thanks: Bradley Rintoul.
  - record (IMAP) mailbox retrieved from in X-getmail-retrieved-from-mailbox:
    header field, and make it available as %%(mailbox) substitution in
    MDA_external arguments.  Thanks: Les Barstow.
  - add delete_bigger_than option to allow removal of large messages after
    retrieval, even if not deleting messages otherwise.  Thanks: Jan Vereecke.
  * Version 4.36.0
  - add support for retrieving POP/IMAP passwords from, and storing them to,
    the Gnome keyring.  Thanks: Krzysztof Warzecha, Scott Hepler.
  * Version 4.35.0
  - fix From_ quoting in mbox delivery; use of the Python stdlib function
    meant getmail was incorrectly using mboxo-style quoting instead of
    mboxrd quoting, probably since early in the v4 series.
    Thanks: Christoph Mitterer.
* Mon Sep 10 2012 cs@linux-administrator.com
- Update to release 4.34.0
  * Version 4.34.0
  - retrieve Gmail metadata (labels, thread ID, message ID) via IMAP extension
    and record it in new message headers.  Thanks: Krzysztof Warzecha.
  * Version 4.33.0
  - allow normal exit on interrupt (ctrl-c) to allow the user to abort message
    retrieval while still remembering already-retrieved messages as successfully
    delivered.  You may get a weird error message after you abort, since the
    server may be in the middle of delivering another message to getmail at the
    time.  Thanks: Krzysztof Warzecha.
  * Version 4.32.0
  - prevent some nuisance stack traces if getmail cannot connect to the POP/
    IMAP server correctly.  Thanks: Daniel Dumke.
  - restore use_peek IMAP retriever parameter which accidentally got removed
    in 4.30.  Thanks: Andreas Amann.
  * Version 4.31.0
  - improved backwards compatibility with pre-v.4.22.0 oldmail files, so IMAP
    mail is not re-retrieved if you upgrade from a 4.22 or earlier to this one;
    no user action necessary.  Thanks: Osamu Aoki, Tim van der Molen.
  * Version 4.30.2
  - fix a nuisance stack trace that would be dumped if a connection failed in
    particular states.  Thanks: Gary Schmidt.
* Sat Jun 23 2012 cs@linux-administrator.com
- Update to relase 4.30.1
  * Version 4.30.1
  - silence a nuisance deprecation warning about the sets module when running
    with Python >= 2.5 which was reintroduced in 4.29.0.  Thanks: Stephan
    Schulz.
  * Version 4.30.0
  - fix breakage introduced in 4.29.0 where BrokenUIDLPOP3Retriever would fail
    with a TypeError at logout time.  Thanks: Scott Robbins, Stephan Schulz.
  - fix breakage introduced in 4.29.0 where deleted mail was not being expunged
    from the last (or only) folder retrieved from in an IMAP session.  Thanks:
    Paul Howarth.
  * Version 4.29.0
  - update old contact information for Free Software Foundation.  Thanks: Ricky
    Zhou.
  - fix incorrect character encoding in plaintext documentation.  Thanks: Ricky
    Zhou.
  - ensure getmail exits nonzero if a server refuses login due to a credential
    problem.  Thanks: Stephan Schulz.
  * Version 4.28.0
  - ensure getmail exits nonzero if various error conditions (like POP/IMAP
    authentication failure) occur.  Thanks: Ryan J., Stephan Schulz.
  - python versions prior to 2.5.0 contain a bug when dealing with read-only
    IMAP mailboxes.  Monkey-patch imaplib when running with Python<2.5.0.
    Thanks: Les Barstow.
  - do IMAP modified-utf7 conversion of mailbox names containing non-ASCII
    characters.  Thanks: A. Lapraitis, Randall Mason.
  - add special ALL value for retrieving mail from all selectable IMAP
    mailboxes in the account.
  - change IMAP retrieval strategy to retrieve all messages from a mailbox,
    then move on to the next mailbox, etc.  Should result in increased speed,
    but if you set `max_messages_per_session` too low, this could result in
    later mailboxes not being retrieved from.
  * Version 4.27.0
  - make use of IMAP BODY.PEEK configurable; set the IMAP retriever parameter
    `use_peek` to False to disable use of PEEK to get getmail's historical IMAP
    behaviour.
* Sun Apr 15 2012 cs@linux-administrator.com
- Update to release 4.26.0
  * Version 4.26.0
  - switch to using BODY.PEEK in IMAP retrieval; I no longer see problems with
    this feature in my testing.  If users experience incompatibility with any
    IMAP servers where 4.25.0 worked, please let me know.
  * Version 4.25.0
  - add support for storing POP/IMAP password in OSX keychain.  Thanks: Adam
    Lazur.
* Mon Dec 12 2011 cs@linux-administrator.com
- Update to release 4.24.0
  * Version 4.24.0
  - add an explicit expunge when closing an IMAP mailbox, for servers that
    incorrectly do not do this when the mailbox is closed.  Thanks: Nicolas
    PomarÃ¨de.
  - fix incorrect section reference for `mailboxes` parameter in documentation.
    Thanks: Ross Boylan.
  - fix getmail_fetch broken in 4.21.0.  Thanks: Chris Donoghue.
  * Version 4.23.0
  - fix race if new message shows up in POP3 mailbox between running the UIDL
    and LIST commands.  Thanks: Roland Koebler, Osamu Aoki.
  * Version 4.22.2
  - fix an error when logging a bad response to an IMAP SELECT command,
    introduced in 4.21.0.  Thanks: "kureshii".
* Sat Oct  1 2011 cs@linux-administrator.com
- Update to release 4.22.1
  * fix BrokenUIDLPOP3Retriever breakage from 4.21.0
* Mon Sep 26 2011 cs@linux-administrator.com
- Update to release 4.22.0
  * When retriever supports multiple mail folders (IMAP), store oldmail data for
    each folder separately, preventing problems in some cases when using multiple
    rc files with the same account.
- Chanages in release 4.21.0
  * Automatically open IMAP folders read-only if neither the delete nor
    delete_after options are in use; necessary to access chatlogs via Gmail.
  * Avoid sorting msgids on each retrieval, reducing overhead when dealing with
    folders containing thousands of messages.
* Sun Jul 17 2011 cs@linux-administrator.com
- Update to release 4.20.4
  * include more info from server response in error message when
    IMAP command errors out.
  * switch to using Parser instead of HeaderParser to correct illegal
    formatting bogosities in the body parts of incoming messages.
